# Uses of Class
org.springframework.mock.env.MockEnvironment

Packages that use MockEnvironment
Package
Description
org.springframework.mock.env
This package contains mock implementations of the `Environment` and `PropertySource` abstractions.

## Uses of MockEnvironment in org.springframework.mock.env

Methods in org.springframework.mock.env that return MockEnvironment
Modifier and Type
Method
Description
`MockEnvironment`
MockEnvironment.`withProperty(String name, Object value)`
Convenient synonym for `setProperty(String, Object)` that returns the current instance.
`MockEnvironment`
MockEnvironment.`withProperty(String name, String value)`
Convenient synonym for `setProperty(String, String)` that returns the current instance.